Subject: Re: Cygnus b19 gcc and Mingw32
From: [email-masked] (raf)

10 Mar 1998 08:14:07 -0800
Message-ID: <[email-masked]>
To: [email-masked]

>From: "Earnie Boyd" <[email-masked]>
>Well, I'm interested in the prebuilt binaries.  Downloaded with 
>SaveLinkAs because Netscape Communicator opens the file and displays the 
>bytes.  After downloading "gzip -d cygwinb19.dll-gz" gives a "not valid 
>format" error.

if netscape thinks it should be loaded into a browser window (by default)
saving with 'SaveLinkAs' doesn't help because it places \n chars throughout
it. netscape has this strange assumption that "if i don't know what it is,
it must want to be a dos text file!".

try telling netscape that ".dll-gz" files are to be downloaded.
failing that, ask chris to ask his isp very nicely to use the
appropriate file name.

>>From: [email-masked] (Christopher Faylor)
>>Subject: Re: Cygnus b19 gcc and Mingw32
>>Date: Mon, 9 Mar 1998 13:46:28 GMT
>>To: [email-masked]
>>Reply-To: [email-masked]
>>
>>In article <[email-masked]>,
>>Colin Peters <[email-masked]> wrote:
>>>On a new point. Are Mingw32 programs the only ones suffering from 
>bizarre
>>>problems with stdin, stdout and such under bash? I seem to remember
>>>something about non-Cygwin32 programs
>>>having output disappear, and it definitely happens to me.
>>
>>Here's a patch that I've submitted to Cygnus which should deal with
>>this problem.
>>
>>If you want a prebuilt .dll, check out:
>>
>>http://www.tiac.net/users/cgf/cygwinb19.dll-gz
>>
>>(Don't ask about the the -gz "extension".  My ISP is incompetent...)
>>
>>	patch from [email-masked] (Christopher Faylor)
>>	* spawn.cc (spawn_guts):  Make argument handling after `#! pgm'
>>	handle spaces similarly to UNIX.  Close "linearized" file handles
>>	when a non-cygwin32 binary is executed or suffer hangs on exit.
>>	Reorganize lpReserved2 buffer to avoid conflicts with Microsoft usage
>>	which resulted in incorrect stdin/stdout operation with programs
>>	compiled using MSVC.
>>	* pinfo.cc (pinfo_init):  Accomodate change to lpReserved2
>>	organization.
>>
><snip>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".